Trace sets of packets through the network
POST/networks/:networkId/paths-bulk
Efficiently performs multiple path searches through the network.
See Path Search for an introduction applicable to all the path search operations.
If you wish to consume query results incrementally without loading all of them into memory at once, use the streaming variant of this operation instead.
Request
Responses
- 200
- 400
- 409
The response is an array containing a result (a PathSearchResponse or an error object) for each query in
the request, in the same order. An error object has an "error": true property. Each query is evaluated
independently.
The request failed input validation. For example, a request parameter is outside the permitted range or an input path search query had an invalid IP protocol and ICMP type combination.
The system is currently processing this Snapshot.
Note: GET /networks/{networkId}/snapshots/latestProcessed can be used to determine when processing of the latest Snapshot is done or to identify an alternate Snapshot that has already been processed.